### Eclipse Workspace Patch 1.0
#P org.jboss.tools.esb.ui
Index: src/org/jboss/tools/esb/ui/editor/form/ESBXMLFormLayoutData.java
===================================================================
--- src/org/jboss/tools/esb/ui/editor/form/ESBXMLFormLayoutData.java	(revision 41074)
+++ src/org/jboss/tools/esb/ui/editor/form/ESBXMLFormLayoutData.java	(working copy)
@@ -81,6 +81,9 @@
 			if(entity.getChild(ConverterConstants.BPM_VAR_ENTITY) != null) {
 				list.add(ESBListsFormLayoutData.BPM_VAR_LIST_DEFINITION);
 			}
+			if(entity.getChild(ConverterConstants.BPM_PARAM_ENTITY) != null) {
+				list.add(ESBListsFormLayoutData.BPM_PARAM_LIST_DEFINITION);
+			}
 			if(entity.getChild(ConverterConstants.ROUTER_NAMESPACE_ENTITY) != null) {
 				list.add(ESBListsFormLayoutData.ROUTER_NAMESPACE_LIST_DEFINITION);
 			}
Index: src/org/jboss/tools/esb/ui/editor/form/ESBListsFormLayoutData.java
===================================================================
--- src/org/jboss/tools/esb/ui/editor/form/ESBListsFormLayoutData.java	(revision 41074)
+++ src/org/jboss/tools/esb/ui/editor/form/ESBListsFormLayoutData.java	(working copy)
@@ -210,6 +210,14 @@
 		FormLayoutDataUtil.createDefaultFormActionData("CreateActions.AddBPMVar") //$NON-NLS-1$
 	);
 
+	static IFormData BPM_PARAM_LIST_DEFINITION = new FormData(
+		"BPM Param List", //$NON-NLS-1$
+		ModelFormLayoutData.EMPTY_DESCRIPTION,
+		new FormAttributeData[]{new FormAttributeData("esb", 25), new FormAttributeData("bpm", 25), new FormAttributeData("value", 50)}, 
+		new String[]{ConverterConstants.BPM_PARAM_ENTITY},
+		FormLayoutDataUtil.createDefaultFormActionData("CreateActions.AddBPMParam") //$NON-NLS-1$
+	);
+
 	static IFormData NAMESPACE_LIST_DEFINITION = createOneAttributeSingleChildList(
 		"Namespace List", "namespace uri", ConverterConstants.NAMESPACE_ENTITY, "CreateActions.AddNamespace"		
 	);
#P org.jboss.tools.esb.core
Index: src/org/jboss/tools/esb/core/model/SpecificActionLoader.java
===================================================================
--- src/org/jboss/tools/esb/core/model/SpecificActionLoader.java	(revision 41844)
+++ src/org/jboss/tools/esb/core/model/SpecificActionLoader.java	(working copy)
@@ -57,6 +57,7 @@
 		propertyConverters.put("notification", ConverterConstants.NOTIFICATION_CONVERTER);
 		propertyConverters.put("notification2", ConverterConstants.NOTIFICATION_CONVERTER_2);
 		propertyConverters.put("bpmVar", ConverterConstants.BPM_VAR_CONVERTER);
+		propertyConverters.put("bpmParam", ConverterConstants.BPM_PARAM_CONVERTER);
 		propertyConverters.put("httpclient", ConverterConstants.ENDPOINT_CONVERTER);
 		propertyConverters.put("header", ConverterConstants.HEADER_CONVERTER);
 		propertyConverters.put("namespace", ConverterConstants.NAMESPACES_CONVERTER);
Index: src/org/jboss/tools/esb/core/model/converters/ConverterConstants.java
===================================================================
--- src/org/jboss/tools/esb/core/model/converters/ConverterConstants.java	(revision 41844)
+++ src/org/jboss/tools/esb/core/model/converters/ConverterConstants.java	(working copy)
@@ -35,6 +35,10 @@
 	String BPM_VARS = "esbToBpmVars";
 	IPropertyConverter BPM_VAR_CONVERTER = new BasicListConverter(BPM_VARS, BPM_VAR_ENTITY);
 
+	String BPM_PARAM_ENTITY = "ESBPreBPMParam";
+	String BPM_PARAMS = "esbToBpmParams";
+	IPropertyConverter BPM_PARAM_CONVERTER = new BasicListConverter(BPM_PARAMS, BPM_PARAM_ENTITY);
+
 	String HTTP_CLIENT_PROP_ENTITY = "ESBPreClientProp";
 	String END_POINT_URL = "endpointUrl";
 	IPropertyConverter ENDPOINT_CONVERTER = new EndpointConverter();
Index: resources/help/keys-esb-menu.properties
===================================================================
--- resources/help/keys-esb-menu.properties	(revision 41844)
+++ resources/help/keys-esb-menu.properties	(working copy)
@@ -61,6 +61,7 @@
 ESB.AddScripting.menu=Scripting
 ESB.AddEJBProcessor.menu=EJB Processor
 ESB.AddBPMProcessor.menu=BPM Processor
+ESB.AddBPM5Processor.menu=BPM 5 Processor
 ESB.AddXSLTAction.menu=XSLT Action
 ESB.AddJMSRouter.menu=JMS Router
 ESB.AddEMailRouter.menu=EMail Router
Index: resources/help/keys-esb.properties
===================================================================
--- resources/help/keys-esb.properties	(revision 41844)
+++ resources/help/keys-esb.properties	(working copy)
@@ -614,6 +614,9 @@
 ESB.AddBPMVar.WindowTitle=Add BPM Var
 ESB.AddBPMVar.Title=ESB BPM Var
 
+ESB.AddBPMParam.WindowTitle=Add BPM Param
+ESB.AddBPMParam.Title=ESB BPM Param
+
 ESB.AddHeader.WindowTitle=Add Header
 ESB.AddHeader.Title=ESB Header
 
@@ -625,6 +628,7 @@
 ESBPreAlias_Properties.Title=ESB Alias
 ESBPreAttributeAlias_Properties.Title=ESB Attribute Alias
 ESBPreBPMVar_Properties.Title=ESB BPM Var
+ESBPreBPMParam_Properties.Title=ESB BPM Param
 ESBPreClientProp_Properties.Title=ESB HTTP Client Property
 ESBPreConverter_Properties.Title=ESB Converter
 ESBPreFieldAlias_Properties.Title=ESB Field Alias
@@ -742,6 +746,9 @@
 ESB.AddBPMProcessor.WindowTitle=Add BPM Processor
 ESB.AddBPMProcessor.Title=ESB BPM Processor
 
+ESB.AddBPM5Processor.WindowTitle=Add BPM 5 Processor
+ESB.AddBPM5Processor.Title=ESB BPM 5 Processor
+
 ESB.AddXSLTAction.WindowTitle=Add XSLT Action
 ESB.AddXSLTAction.Title=ESB XSLT Action
 
@@ -791,6 +798,7 @@
 ESBPreActionAggregator120_Properties.Title=Aggregator
 ESBPreActionBPELInvoke120_Properties.Title=BPEL Invoke Action
 ESBPreActionBpmProcessor120_Properties.Title=BPM Processor
+ESBPreActionBpm5Processor131_Properties.Title=BPM 5 Processor
 ESBPreActionByteArrayToString101_Properties.Title=Byte Array to String
 ESBPreActionCommandInterpreter101_Properties.Title=Command Interpreter
 ESBPreActionContentBasedRouter101_Properties.Title=Content Based Router
Index: resources/meta/esb-actions.meta
===================================================================
--- resources/meta/esb-actions.meta	(revision 41844)
+++ resources/meta/esb-actions.meta	(working copy)
@@ -44,6 +44,7 @@
    <PAIR
     name="org.jboss.soa.esb.actions.validation.SchemaValidationAction" value="ESBPreActionSchemaValidator"/>
    <PAIR name="org.jboss.soa.esb.services.jbpm.actions.BpmProcessor" value="ESBPreActionBpmProcessor"/>
+   <PAIR name="org.jboss.soa.esb.services.jbpm5.actions.Bpm5Processor" value="ESBPreActionBpm5Processor131"/>
    <PAIR name="org.jboss.soa.esb.smooks.SmooksAction" value="ESBPreActionSmooksAction"/>
   </MAPPING>
   <MAPPING name="FileVersions">
@@ -149,6 +150,76 @@
  </XModelEntity>
  <XModelEntity ImplementingClass="%ESB%"
   PROPERTIES="formFactory=%Default%;formLayout=org.jboss.tools.esb.ui.editor.form.ESBXMLFormLayoutData;children=%EntityOrdered%"
+  XMLSUBPATH="action" name="ESBPreActionBpm5Processor131">
+  <XChildrenEntities>
+   <XChildEntity name="ESBProperty"/>
+   <XChildEntity name="ESBPreBPMParam"/>
+  </XChildrenEntities>
+  <XEntityRenderer>
+   <ICONS>
+    <ICON info="main.esb.action" type="main"/>
+   </ICONS>
+  </XEntityRenderer>
+  <XModelAttributes>
+   <XModelAttribute default="bpm 5 processor action"
+    loader="ElementType" name="element type">
+    <Editor name="Uneditable"/>
+   </XModelAttribute>
+   <XModelAttribute PROPERTIES="category=general;id=true;save=always"
+    name="name" xmlname="name"/>
+   <XModelAttribute PROPERTIES="category=general;save=always"
+    default="org.jboss.soa.esb.services.jbpm5.actions.Bpm5Processor"
+    name="class" xmlname="class">
+    <Editor name="Uneditable"/>
+   </XModelAttribute>
+   <XModelAttribute PROPERTIES="pre=true;category=general;save=always"
+    name="process definition name" xmlname="process-definition-name"/>
+   <XModelAttribute PROPERTIES="pre=true;category=general;save=always"
+    name="process id" xmlname="process-id"/>
+   <XModelAttribute PROPERTIES="pre=true;category=general;save=always"
+    default="startProcess" name="process action" xmlname="process-action">
+    <Constraint loader="List">
+     <value name="startProcess"/>
+     <value name="signalEvent"/>
+     <value name="abortProcessInstance"/>
+    </Constraint>
+    <Editor name="ListString"/>
+   </XModelAttribute>
+   <XModelAttribute PROPERTIES="pre=true;category=advanced"
+    name="process handler class" xmlname="processHandlerClass"/>
+   <XModelAttribute PROPERTIES="pre=true;category=advanced"
+    name="process handler host" xmlname="processHandlerHost"/>
+   <XModelAttribute PROPERTIES="pre=true;category=advanced"
+    name="process handler port" xmlname="processHandlerPort"/>
+   <XModelAttribute PROPERTIES="category=general" default="process"
+    name="process" xmlname="process">
+    <Editor name="Uneditable"/>
+   </XModelAttribute>
+   <XModelAttribute TRIM="no" name="comment" visibility="false" xmlname="#comment">
+    <Editor name="Note"/>
+   </XModelAttribute>
+  </XModelAttributes>
+  <XActionItem kind="list">
+   <XActionItem kind="list" name="CreateActions">
+    <XActionItem HandlerClassName="%Create%" ICON="action.empty"
+     PROPERTIES="validator.add=true" WizardClassName="%Default%"
+     displayName="Add BPM Param..." kind="action" name="AddBPMParam">
+     <EntityData EntityName="ESBPreBPMParam">
+      <AttributeData AttributeName="esb"/>
+      <AttributeData AttributeName="bpm"/>
+      <AttributeData AttributeName="value" Mandatory="no"/>
+     </EntityData>
+    </XActionItem>
+   </XActionItem>
+   <XActionItemReference entity="ESBProperty" name="CopyActions"/>
+   <XActionItemReference entity="ESBProperty" name="DeleteActions"/>
+   <XActionItemReference entity="ESBProperty" name="Properties"/>
+   <XActionItemReference entity="ESBProperty" name="MoveActions"/>
+  </XActionItem>
+  <XDependencies/>
+ </XModelEntity>
+ <XModelEntity ImplementingClass="%ESB%"
+  PROPERTIES="formFactory=%Default%;formLayout=org.jboss.tools.esb.ui.editor.form.ESBXMLFormLayoutData;children=%EntityOrdered%"
   XMLSUBPATH="action" name="ESBPreActionBpmProcessor120">
   <XChildrenEntities>
    <XChildEntity name="ESBProperty"/>
@@ -3005,6 +3076,37 @@
  </XModelEntity>
  <XModelEntity
   ImplementingClass="org.jboss.tools.esb.core.model.ESBRouteToImpl"
+  PROPERTIES="formFactory=%Default%;formLayout=org.jboss.tools.esb.ui.editor.form.ESBXMLFormLayoutData;converter=bpmParam"
+  XMLSUBPATH="mapping" name="ESBPreBPMParam">
+  <XChildrenEntities/>
+  <XEntityRenderer>
+   <ICONS>
+    <ICON info="main.esb.property" type="main"/>
+   </ICONS>
+  </XEntityRenderer>
+  <XModelAttributes>
+   <XModelAttribute default="bpm param" loader="ElementType" name="element type">
+    <Editor name="Uneditable"/>
+   </XModelAttribute>
+   <XModelAttribute PROPERTIES="category=general;id=true;save=always"
+    name="esb" xmlname="esb"/>
+   <XModelAttribute PROPERTIES="category=general;save=always" name="bpm" xmlname="bpm"/>
+   <XModelAttribute PROPERTIES="category=general" name="value" xmlname="value"/>
+   <XModelAttribute TRIM="no" name="comment" visibility="false" xmlname="#comment">
+    <Editor name="Note"/>
+   </XModelAttribute>
+  </XModelAttributes>
+  <XActionItem kind="list">
+   <XActionItem ICON="action.empty" displayName="Create" kind="list" name="EditActions"/>
+   <XActionItemReference entity="ESBPreAlias" name="CopyActions"/>
+   <XActionItemReference entity="ESBPreAlias" name="DeleteActions"/>
+   <XActionItemReference entity="ESBPreAlias" name="Properties"/>
+   <XActionItemReference entity="ESBPreAlias" name="MoveActions"/>
+  </XActionItem>
+  <XDependencies/>
+ </XModelEntity>
+ <XModelEntity
+  ImplementingClass="org.jboss.tools.esb.core.model.ESBRouteToImpl"
   PROPERTIES="formFactory=%Default%;formLayout=org.jboss.tools.esb.ui.editor.form.ESBXMLFormLayoutData;converter=bpmVar"
   XMLSUBPATH="mapping" name="ESBPreBPMVar">
   <XChildrenEntities/>
@@ -4304,6 +4406,7 @@
    <XChildEntity name="ESBPreActionXStreamToObject101"/>
    <XChildEntity name="ESBPreActionCommandInterpreter101"/>
    <XChildEntity name="ESBPreActionBpmProcessor120"/>
+   <XChildEntity name="ESBPreActionBpm5Processor131"/>
    <XChildEntity name="ESBPreActionScripting120"/>
    <XChildEntity name="ESBPreActionGroovyProcessor101"/>
    <XChildEntity name="ESBPreActionEJBProcessor120"/>
@@ -4344,6 +4447,16 @@
       </XActionItem>
       <XActionItem HandlerClassName="%Create%" ICON="action.empty"
        PROPERTIES="validator.add=true" WizardClassName="%Default%"
+       displayName="BPM 5 Processor..." kind="action" name="AddBPM5Processor">
+       <EntityData EntityName="ESBPreActionBpm5Processor131">
+        <AttributeData AttributeName="name"/>
+        <AttributeData AttributeName="process definition name"/>
+        <AttributeData AttributeName="process id"/>
+        <AttributeData AttributeName="process action"/>
+       </EntityData>
+      </XActionItem>
+      <XActionItem HandlerClassName="%Create%" ICON="action.empty"
+       PROPERTIES="validator.add=true" WizardClassName="%Default%"
        displayName="Business Rules Processor..." kind="action" name="AddBusinessRulesProcessor">
        <EntityData EntityName="ESBPreActionBusinessRulesProcessor130">
         <AttributeData AttributeName="name"/>