Index: pom.xml
===================================================================
--- pom.xml	(revision 2652)
+++ pom.xml	(working copy)
@@ -5,7 +5,7 @@
 	<parent>
 		<groupId>org.jboss.tools</groupId>
 		<artifactId>parent</artifactId>
-		<version>3.3.0.CR1-SNAPSHOT</version>
+		<version>3.4.0.M1-SNAPSHOT</version>
 		<relativePath>../build/parent/pom.xml</relativePath>
 	</parent>
 	<groupId>org.jboss.tools</groupId>
Index: tests/org.teiid.designer.ui.bot.test/requirements.properties
===================================================================
--- tests/org.teiid.designer.ui.bot.test/requirements.properties	(revision 2652)
+++ tests/org.teiid.designer.ui.bot.test/requirements.properties	(working copy)
@@ -1 +0,0 @@
-requirements=teiid,jbossas-5.1.0.GA
\ No newline at end of file
Index: tests/org.teiid.designer.ui.bot.test/pom.xml
===================================================================
--- tests/org.teiid.designer.ui.bot.test/pom.xml	(revision 2652)
+++ tests/org.teiid.designer.ui.bot.test/pom.xml	(working copy)
@@ -15,9 +15,7 @@
 	</parent>
 
 	<properties>
-		<jbosstools.test.teiid-7>teiid-7.7.0.Final</jbosstools.test.teiid-7>
-		<jbosstools.test.jboss-as-5>jboss-5.1.0.GA</jbosstools.test.jboss-as-5>
-		<jbosstools.test.jboss-as-5.home>${requirement.build.root}/${jbosstools.test.jboss-as-5}</jbosstools.test.jboss-as-5.home>
+		<jbosstools.test.jboss-as-5.home>${requirementsDirectory}/jboss-5.1.0.GA</jbosstools.test.jboss-as-5.home>
 		<configurations.dir>resources/project_config_files</configurations.dir>
 		<additionalSystemProperties></additionalSystemProperties>
 		<systemProperties>${additionalSystemProperties} -Djbosstools.test.jboss-as-5.home=${jbosstools.test.jboss-as-5.home} -Dtest.configurations.dir=${configurations.dir} -Dorg.eclipse.swtbot.screenshots.dir=${project.build.directory}/screenshots</systemProperties>
@@ -35,6 +33,64 @@
 	
 	<build>
 		<plugins>
+			<!-- prepare tests -->
+			<plugin>
+				<groupId>com.googlecode.maven-download-plugin</groupId>
+				<artifactId>maven-download-plugin</artifactId>
+				<executions>
+					<execution>
+						<id>install-as</id>
+						<phase>pre-integration-test</phase>
+						<goals>
+							<goal>wget</goal>
+						</goals>
+						<configuration>
+							<url>http://repository.jboss.org/sourceforge/jboss-5.1.0.GA.zip</url>
+							<md5>78322c75ca0c13002a04418b4a8bc920</md5>
+							<unpack>true</unpack>
+						</configuration>
+					</execution>
+					<execution>
+						<id>install-teiid</id>
+						<phase>pre-integration-test</phase>
+						<goals>
+							<goal>wget</goal>
+						</goals>
+						<configuration>
+							<url>https://sourceforge.net/projects/teiid/files/teiid/7.7/Final/teiid-7.7.0.Final-jboss-dist.zip</url>
+							<md5>d5107e33b5c18673cbc74698e08b7612</md5>
+							<unpack>true</unpack>
+							<outputDirectory>${requirementsDirectory}/jboss-5.1.0.GA/server/default</outputDirectory>
+						</configuration>
+					</execution>
+				</executions>
+			</plugin>
+			<plugin>
+				<artifactId>maven-antrun-plugin</artifactId>
+				<version>${maven.antrun.plugin.version}</version>
+				<executions>
+					<execution>
+						<id>install-jdbc-drivers</id>
+						<phase>pre-integration-test</phase>
+						<goals>
+							<goal>run</goal>
+						</goals>
+						<configuration>
+							<tasks>
+  								 <echo message="Copying drivers..."/>
+								 <copy todir="${project.build.directory}/jboss-5.1.0.GA/server/default/lib">
+    								<fileset dir="${basedir}/lib">
+    									  <include name="ojdbc*.jar"/>
+    									  <include name="sqljdbc*.jar"/>
+    								</fileset>
+  								 </copy>
+  								 <echo message="Drivers copied"/>
+							</tasks>
+						</configuration>
+					</execution>
+				</executions>
+			</plugin>
+		
 			<plugin>
 				<groupId>org.eclipse.tycho</groupId>
 				<artifactId>tycho-surefire-plugin</artifactId>
@@ -71,38 +127,6 @@
 			</plugin>
 
 			<plugin>
-				<artifactId>maven-antrun-plugin</artifactId>
-				<version>${maven.antrun.plugin.version}</version>
-				<executions>
-					<execution>
-						<id>prepare-teiid</id>
-						<phase>pre-integration-test</phase>
-						<goals>
-							<goal>run</goal>
-						</goals>
-						<configuration>
-							<tasks>
-								 <echo message="Installing Teiid..."/>
-								 <copy todir="${requirement.build.root}/${jbosstools.test.jboss-as-5}/server/default">
-    								<fileset dir="${requirement.build.root}/${jbosstools.test.teiid-7}" />
-  								 </copy>
-  								 <echo message="Teiid installed"/>
-  								 
-  								 <echo message="Copying drivers..."/>
-								 <copy todir="${requirement.build.root}/${jbosstools.test.jboss-as-5}/server/default/lib">
-    								<fileset dir="${basedir}/lib">
-    									  <include name="ojdbc*.jar"/>
-    									  <include name="sqljdbc*.jar"/>
-    								</fileset>
-  								 </copy>
-  								 <echo message="Drivers copied"/>
-							</tasks>
-						</configuration>
-					</execution>
-				</executions>
-			</plugin>
-			
-			<plugin>
 				<groupId>org.eclipse.tycho</groupId>
 				<artifactId>target-platform-configuration</artifactId>
 				<version>${tychoVersion}</version>