diff --git a/openshift/features/org.jboss.tools.openshift.egit.integration.feature/feature.xml b/openshift/features/org.jboss.tools.openshift.egit.integration.feature/feature.xml
index fb11777..d66a0a8 100644
--- a/openshift/features/org.jboss.tools.openshift.egit.integration.feature/feature.xml
+++ b/openshift/features/org.jboss.tools.openshift.egit.integration.feature/feature.xml
@@ -1,5 +1,5 @@
 <?xml version="1.0" encoding="UTF-8"?>
-<feature id="org.jboss.tools.openshift.egit.integration.feature" label="%featureName" version="2.3.0.qualifier" provider-name="%providerName">
+<feature id="org.jboss.tools.openshift.egit.integration.feature" label="%featureName" version="2.3.1.qualifier" provider-name="%providerName">
 
 	<description url="http://www.jboss.org/tools">
       %description
diff --git a/openshift/features/org.jboss.tools.openshift.egit.integration.feature/pom.xml b/openshift/features/org.jboss.tools.openshift.egit.integration.feature/pom.xml
index cdcc59f..4ffb740 100644
--- a/openshift/features/org.jboss.tools.openshift.egit.integration.feature/pom.xml
+++ b/openshift/features/org.jboss.tools.openshift.egit.integration.feature/pom.xml
@@ -4,11 +4,11 @@
 	<parent>
 		<groupId>org.jboss.tools.openshift</groupId>
 		<artifactId>features</artifactId>
-		<version>2.3.0-SNAPSHOT</version>
+		<version>2.3.1-SNAPSHOT</version>
 	</parent>
 	<groupId>org.jboss.tools.openshift.features</groupId>
 	<artifactId>org.jboss.tools.openshift.egit.integration.feature</artifactId> 
-	<version>2.3.0-SNAPSHOT</version>
+	<version>2.3.1-SNAPSHOT</version>
 	<packaging>eclipse-feature</packaging>
 
 	<build>
diff --git a/openshift/features/org.jboss.tools.openshift.egit.integration.test.feature/feature.xml b/openshift/features/org.jboss.tools.openshift.egit.integration.test.feature/feature.xml
index 9c818f5..5d6b3c4 100644
--- a/openshift/features/org.jboss.tools.openshift.egit.integration.test.feature/feature.xml
+++ b/openshift/features/org.jboss.tools.openshift.egit.integration.test.feature/feature.xml
@@ -1,5 +1,5 @@
 <?xml version="1.0" encoding="UTF-8"?>
-<feature id="org.jboss.tools.openshift.egit.integration.test.feature" label="%featureName" version="2.3.0.qualifier" provider-name="%providerName">
+<feature id="org.jboss.tools.openshift.egit.integration.test.feature" label="%featureName" version="2.3.1.qualifier" provider-name="%providerName">
 
 	<description url="%descriptionURL">
       %description
diff --git a/openshift/features/org.jboss.tools.openshift.egit.integration.test.feature/pom.xml b/openshift/features/org.jboss.tools.openshift.egit.integration.test.feature/pom.xml
index 4a9e5c0..999ebf0 100644
--- a/openshift/features/org.jboss.tools.openshift.egit.integration.test.feature/pom.xml
+++ b/openshift/features/org.jboss.tools.openshift.egit.integration.test.feature/pom.xml
@@ -4,7 +4,7 @@
 	<parent>
 		<groupId>org.jboss.tools.openshift</groupId>
 		<artifactId>features</artifactId>
-		<version>2.3.0-SNAPSHOT</version>
+		<version>2.3.1-SNAPSHOT</version>
 	</parent>
 	<groupId>org.jboss.tools.openshift.features</groupId>
 	<artifactId>org.jboss.tools.openshift.egit.integration.test.feature</artifactId>
diff --git a/openshift/features/org.jboss.tools.openshift.express.feature/feature.xml b/openshift/features/org.jboss.tools.openshift.express.feature/feature.xml
index 1db997e..bea0d4c 100755
--- a/openshift/features/org.jboss.tools.openshift.express.feature/feature.xml
+++ b/openshift/features/org.jboss.tools.openshift.express.feature/feature.xml
@@ -1,5 +1,5 @@
 <?xml version="1.0" encoding="UTF-8"?>
-<feature id="org.jboss.tools.openshift.express.feature" label="%featureName" version="2.3.0.qualifier" provider-name="%providerName" plugin="org.jboss.tools.openshift.express.ui">
+<feature id="org.jboss.tools.openshift.express.feature" label="%featureName" version="2.3.1.qualifier" provider-name="%providerName" plugin="org.jboss.tools.openshift.express.ui">
 
 	<description url="http://www.jboss.org/tools">
       %description
diff --git a/openshift/features/org.jboss.tools.openshift.express.feature/pom.xml b/openshift/features/org.jboss.tools.openshift.express.feature/pom.xml
index bb5d86f..a18a1f0 100644
--- a/openshift/features/org.jboss.tools.openshift.express.feature/pom.xml
+++ b/openshift/features/org.jboss.tools.openshift.express.feature/pom.xml
@@ -4,7 +4,7 @@
 	<parent>
 		<groupId>org.jboss.tools.openshift</groupId>
 		<artifactId>features</artifactId>
-		<version>2.3.0-SNAPSHOT</version>
+		<version>2.3.1-SNAPSHOT</version>
 	</parent>
 	<groupId>org.jboss.tools.openshift.features</groupId>
 	<artifactId>org.jboss.tools.openshift.express.feature</artifactId> 
diff --git a/openshift/features/org.jboss.tools.openshift.express.test.feature/feature.xml b/openshift/features/org.jboss.tools.openshift.express.test.feature/feature.xml
index 0f02304..3f41794 100644
--- a/openshift/features/org.jboss.tools.openshift.express.test.feature/feature.xml
+++ b/openshift/features/org.jboss.tools.openshift.express.test.feature/feature.xml
@@ -1,5 +1,5 @@
 <?xml version="1.0" encoding="UTF-8"?>
-<feature id="org.jboss.tools.openshift.express.test.feature" label="%featureName" version="2.3.0.qualifier" provider-name="%providerName">
+<feature id="org.jboss.tools.openshift.express.test.feature" label="%featureName" version="2.3.1.qualifier" provider-name="%providerName">
 
 	<description url="%descriptionURL">
       %description
diff --git a/openshift/features/org.jboss.tools.openshift.express.test.feature/pom.xml b/openshift/features/org.jboss.tools.openshift.express.test.feature/pom.xml
index a77a404..fa7e071 100644
--- a/openshift/features/org.jboss.tools.openshift.express.test.feature/pom.xml
+++ b/openshift/features/org.jboss.tools.openshift.express.test.feature/pom.xml
@@ -4,7 +4,7 @@
 	<parent>
 		<groupId>org.jboss.tools.openshift</groupId>
 		<artifactId>features</artifactId>
-		<version>2.3.0-SNAPSHOT</version>
+		<version>2.3.1-SNAPSHOT</version>
 	</parent>
 	<groupId>org.jboss.tools.openshift.features</groupId>
 	<artifactId>org.jboss.tools.openshift.express.test.feature</artifactId> 
diff --git a/openshift/features/pom.xml b/openshift/features/pom.xml
index 9259df0..d49be51 100644
--- a/openshift/features/pom.xml
+++ b/openshift/features/pom.xml
@@ -5,7 +5,7 @@
 	<parent>
 		<groupId>org.jboss.tools</groupId>
 		<artifactId>openshift</artifactId>
-		<version>2.3.0-SNAPSHOT</version>
+		<version>2.3.1-SNAPSHOT</version>
 	</parent>
 	<groupId>org.jboss.tools.openshift</groupId>
 	<artifactId>features</artifactId>
diff --git a/openshift/plugins/org.jboss.tools.openshift.egit.core/META-INF/MANIFEST.MF b/openshift/plugins/org.jboss.tools.openshift.egit.core/META-INF/MANIFEST.MF
index 2bbf146..6fd8c8e 100644
--- a/openshift/plugins/org.jboss.tools.openshift.egit.core/META-INF/MANIFEST.MF
+++ b/openshift/plugins/org.jboss.tools.openshift.egit.core/META-INF/MANIFEST.MF
@@ -2,7 +2,7 @@ Manifest-Version: 1.0
 Bundle-ManifestVersion: 2
 Bundle-Name: EGit Core
 Bundle-SymbolicName: org.jboss.tools.openshift.egit.core;singleton:=true
-Bundle-Version: 2.3.0.qualifier
+Bundle-Version: 2.3.1.qualifier
 Bundle-Activator: org.jboss.tools.openshift.egit.core.internal.EGitCoreActivator
 Require-Bundle: org.jboss.ide.eclipse.as.core;bundle-version="2.3.0",
  org.eclipse.jgit;bundle-version="1.2.0",
diff --git a/openshift/plugins/org.jboss.tools.openshift.egit.core/pom.xml b/openshift/plugins/org.jboss.tools.openshift.egit.core/pom.xml
index 7272787..d1949af 100644
--- a/openshift/plugins/org.jboss.tools.openshift.egit.core/pom.xml
+++ b/openshift/plugins/org.jboss.tools.openshift.egit.core/pom.xml
@@ -4,7 +4,7 @@
 	<parent>
 		<groupId>org.jboss.tools.openshift</groupId>
 		<artifactId>plugins</artifactId>
-		<version>2.3.0-SNAPSHOT</version>
+		<version>2.3.1-SNAPSHOT</version>
 	</parent>
 	<groupId>org.jboss.tools.openshift.plugins</groupId>
 	<artifactId>org.jboss.tools.openshift.egit.core</artifactId> 
diff --git a/openshift/plugins/org.jboss.tools.openshift.egit.ui/META-INF/MANIFEST.MF b/openshift/plugins/org.jboss.tools.openshift.egit.ui/META-INF/MANIFEST.MF
index 6621ba2..f7b94d7 100644
--- a/openshift/plugins/org.jboss.tools.openshift.egit.ui/META-INF/MANIFEST.MF
+++ b/openshift/plugins/org.jboss.tools.openshift.egit.ui/META-INF/MANIFEST.MF
@@ -2,7 +2,7 @@ Manifest-Version: 1.0
 Bundle-ManifestVersion: 2
 Bundle-Name: EGit integration UI
 Bundle-SymbolicName: org.jboss.tools.openshift.egit.ui;singleton:=true
-Bundle-Version: 2.3.0.qualifier
+Bundle-Version: 2.3.1.qualifier
 Bundle-Activator: org.jboss.tools.openshift.egit.ui.EGitUIActivator
 Require-Bundle: org.jboss.tools.openshift.egit.core;bundle-version="[2.3.0,3.0.0)",
  org.eclipse.egit.core;bundle-version="[1.0.0,2.0.0)",
diff --git a/openshift/plugins/org.jboss.tools.openshift.egit.ui/pom.xml b/openshift/plugins/org.jboss.tools.openshift.egit.ui/pom.xml
index bbf847e..984d339 100644
--- a/openshift/plugins/org.jboss.tools.openshift.egit.ui/pom.xml
+++ b/openshift/plugins/org.jboss.tools.openshift.egit.ui/pom.xml
@@ -4,7 +4,7 @@
 	<parent>
 		<groupId>org.jboss.tools.openshift</groupId>
 		<artifactId>plugins</artifactId>
-		<version>2.3.0-SNAPSHOT</version>
+		<version>2.3.1-SNAPSHOT</version>
 	</parent>
 	<groupId>org.jboss.tools.openshift.plugins</groupId>
 	<artifactId>org.jboss.tools.openshift.egit.ui</artifactId> 
diff --git a/openshift/plugins/org.jboss.tools.openshift.express.client/META-INF/MANIFEST.MF b/openshift/plugins/org.jboss.tools.openshift.express.client/META-INF/MANIFEST.MF
index 872bda2..41ef12b 100644
--- a/openshift/plugins/org.jboss.tools.openshift.express.client/META-INF/MANIFEST.MF
+++ b/openshift/plugins/org.jboss.tools.openshift.express.client/META-INF/MANIFEST.MF
@@ -2,7 +2,7 @@ Manifest-Version: 1.0
 Bundle-ManifestVersion: 2
 Bundle-Name: Client
 Bundle-SymbolicName: org.jboss.tools.openshift.express.client
-Bundle-Version: 2.3.0.qualifier
+Bundle-Version: 2.3.1.qualifier
 Bundle-Vendor: JBoss by Red Hat
 Bundle-RequiredExecutionEnvironment: JavaSE-1.6
 Bundle-ClassPath: .,
diff --git a/openshift/plugins/org.jboss.tools.openshift.express.client/pom.xml b/openshift/plugins/org.jboss.tools.openshift.express.client/pom.xml
index afd512c..6b7bb68 100644
--- a/openshift/plugins/org.jboss.tools.openshift.express.client/pom.xml
+++ b/openshift/plugins/org.jboss.tools.openshift.express.client/pom.xml
@@ -4,7 +4,7 @@
 	<parent>
 		<groupId>org.jboss.tools.openshift</groupId>
 		<artifactId>plugins</artifactId>
-		<version>2.3.0-SNAPSHOT</version>
+		<version>2.3.1-SNAPSHOT</version>
 	</parent>
 	<groupId>org.jboss.tools.openshift.plugins</groupId>
 	<artifactId>org.jboss.tools.openshift.express.client</artifactId> 
diff --git a/openshift/plugins/org.jboss.tools.openshift.express.ui/META-INF/MANIFEST.MF b/openshift/plugins/org.jboss.tools.openshift.express.ui/META-INF/MANIFEST.MF
index 7874018..53fb276 100644
--- a/openshift/plugins/org.jboss.tools.openshift.express.ui/META-INF/MANIFEST.MF
+++ b/openshift/plugins/org.jboss.tools.openshift.express.ui/META-INF/MANIFEST.MF
@@ -2,7 +2,7 @@ Manifest-Version: 1.0
 Bundle-ManifestVersion: 2
 Bundle-Name: OpenShift UI
 Bundle-SymbolicName: org.jboss.tools.openshift.express.ui;singleton:=true
-Bundle-Version: 2.3.0.qualifier
+Bundle-Version: 2.3.1.qualifier
 Bundle-Localization: plugin
 Bundle-Activator: org.jboss.tools.openshift.express.internal.ui.OpenShiftUIActivator
 Require-Bundle: org.jboss.tools.openshift.express.client;bundle-version="2.3.0",
diff --git a/openshift/plugins/org.jboss.tools.openshift.express.ui/pom.xml b/openshift/plugins/org.jboss.tools.openshift.express.ui/pom.xml
index 5f69ab7..d4ff99d 100644
--- a/openshift/plugins/org.jboss.tools.openshift.express.ui/pom.xml
+++ b/openshift/plugins/org.jboss.tools.openshift.express.ui/pom.xml
@@ -4,7 +4,7 @@
 	<parent>
 		<groupId>org.jboss.tools.openshift</groupId>
 		<artifactId>plugins</artifactId>
-		<version>2.3.0-SNAPSHOT</version>
+		<version>2.3.1-SNAPSHOT</version>
 	</parent>
 	<groupId>org.jboss.tools.openshift.plugins</groupId>
 	<artifactId>org.jboss.tools.openshift.express.ui</artifactId> 
diff --git a/openshift/plugins/pom.xml b/openshift/plugins/pom.xml
index c542b0a..2402b94 100644
--- a/openshift/plugins/pom.xml
+++ b/openshift/plugins/pom.xml
@@ -4,7 +4,7 @@ xsi:schemaLocation="http://maven.apache.org/POM/4.0.0 http://maven.apache.org/xs
 	<parent>
 		<groupId>org.jboss.tools</groupId>
 		<artifactId>openshift</artifactId>
-		<version>2.3.0-SNAPSHOT</version>
+		<version>2.3.1-SNAPSHOT</version>
 	</parent>
 	<groupId>org.jboss.tools.openshift</groupId>
 	<artifactId>plugins</artifactId>
diff --git a/openshift/pom.xml b/openshift/pom.xml
index d9829e8..32d9ae0 100644
--- a/openshift/pom.xml
+++ b/openshift/pom.xml
@@ -10,7 +10,7 @@ xsi:schemaLocation="http://maven.apache.org/POM/4.0.0 http://maven.apache.org/xs
 	<groupId>org.jboss.tools</groupId>
 	<artifactId>openshift</artifactId>
 	<name>openshift.all</name>
-	<version>2.3.0-SNAPSHOT</version>
+	<version>2.3.1-SNAPSHOT</version>
 	<packaging>pom</packaging>
 	<modules>
 		<module>plugins</module>
diff --git a/openshift/site/pom.xml b/openshift/site/pom.xml
index fd5e857..e3d3a47 100644
--- a/openshift/site/pom.xml
+++ b/openshift/site/pom.xml
@@ -4,7 +4,7 @@
 	<parent>
 		<groupId>org.jboss.tools</groupId>
 		<artifactId>openshift</artifactId>
-		<version>2.3.0-SNAPSHOT</version>
+		<version>2.3.1-SNAPSHOT</version>
 	</parent>
 	<groupId>org.jboss.tools.openshift</groupId>
 	<artifactId>openshift.site</artifactId> 
diff --git a/openshift/tests/org.jboss.tools.openshift.egit.test/META-INF/MANIFEST.MF b/openshift/tests/org.jboss.tools.openshift.egit.test/META-INF/MANIFEST.MF
index 399e589..5c3759a 100644
--- a/openshift/tests/org.jboss.tools.openshift.egit.test/META-INF/MANIFEST.MF
+++ b/openshift/tests/org.jboss.tools.openshift.egit.test/META-INF/MANIFEST.MF
@@ -2,7 +2,7 @@ Manifest-Version: 1.0
 Bundle-ManifestVersion: 2
 Bundle-Name: EGit Tests
 Bundle-SymbolicName: org.jboss.tools.openshift.egit.test
-Bundle-Version: 2.3.0.qualifier
+Bundle-Version: 2.3.1.qualifier
 Bundle-Activator: org.jboss.tools.openshift.egit.internal.test.EGitTestActivator
 Bundle-Vendor: JBoss by Red Hat
 Require-Bundle: org.eclipse.egit.core;bundle-version="1.0.0",
diff --git a/openshift/tests/org.jboss.tools.openshift.egit.test/pom.xml b/openshift/tests/org.jboss.tools.openshift.egit.test/pom.xml
index 6da1aef..30eedf2 100644
--- a/openshift/tests/org.jboss.tools.openshift.egit.test/pom.xml
+++ b/openshift/tests/org.jboss.tools.openshift.egit.test/pom.xml
@@ -4,7 +4,7 @@
 	<parent>
 		<groupId>org.jboss.tools.openshift</groupId>
 		<artifactId>tests</artifactId>
-		<version>2.3.0-SNAPSHOT</version>
+		<version>2.3.1-SNAPSHOT</version>
 	</parent>
 	<groupId>org.jboss.tools.openshift.tests</groupId>
 	<artifactId>org.jboss.tools.openshift.egit.test</artifactId> 
diff --git a/openshift/tests/org.jboss.tools.openshift.express.test/META-INF/MANIFEST.MF b/openshift/tests/org.jboss.tools.openshift.express.test/META-INF/MANIFEST.MF
index 7073f38..7e08338 100644
--- a/openshift/tests/org.jboss.tools.openshift.express.test/META-INF/MANIFEST.MF
+++ b/openshift/tests/org.jboss.tools.openshift.express.test/META-INF/MANIFEST.MF
@@ -2,7 +2,7 @@ Manifest-Version: 1.0
 Bundle-ManifestVersion: 2
 Bundle-Name: OpenShift Test
 Bundle-SymbolicName: org.jboss.tools.openshift.express.test
-Bundle-Version: 2.3.0.qualifier
+Bundle-Version: 2.3.1.qualifier
 Bundle-Vendor: JBoss by Red Hat
 Require-Bundle: org.jboss.tools.openshift.express.ui;bundle-version="2.3.0",
  org.jboss.tools.openshift.express.client;bundle-version="2.3.0",
diff --git a/openshift/tests/org.jboss.tools.openshift.express.test/pom.xml b/openshift/tests/org.jboss.tools.openshift.express.test/pom.xml
index acaa462..acb300e 100644
--- a/openshift/tests/org.jboss.tools.openshift.express.test/pom.xml
+++ b/openshift/tests/org.jboss.tools.openshift.express.test/pom.xml
@@ -4,7 +4,7 @@
 	<parent>
 		<groupId>org.jboss.tools.openshift</groupId>
 		<artifactId>tests</artifactId>
-		<version>2.3.0-SNAPSHOT</version>
+		<version>2.3.1-SNAPSHOT</version>
 	</parent>
 	<groupId>org.jboss.tools.openshift.tests</groupId>
 	<artifactId>org.jboss.tools.openshift.express.test</artifactId> 
diff --git a/openshift/tests/pom.xml b/openshift/tests/pom.xml
index 7e3dc10..3a27d37 100644
--- a/openshift/tests/pom.xml
+++ b/openshift/tests/pom.xml
@@ -4,7 +4,7 @@ xsi:schemaLocation="http://maven.apache.org/POM/4.0.0 http://maven.apache.org/xs
 	<parent>
 		<groupId>org.jboss.tools</groupId>
 		<artifactId>openshift</artifactId>
-		<version>2.3.0-SNAPSHOT</version>
+		<version>2.3.1-SNAPSHOT</version>
 	</parent>
 	<groupId>org.jboss.tools.openshift</groupId>
 	<artifactId>tests</artifactId>