diff --git a/examples/features/org.jboss.tools.community.project.examples.feature/feature.xml b/examples/features/org.jboss.tools.community.project.examples.feature/feature.xml
index fe1ec32..9db7b2e 100644
--- a/examples/features/org.jboss.tools.community.project.examples.feature/feature.xml
+++ b/examples/features/org.jboss.tools.community.project.examples.feature/feature.xml
@@ -2,7 +2,7 @@
 <feature
       id="org.jboss.tools.community.project.examples.feature"
       label="JBoss Tools Community Project Examples"
-      version="1.2.1.qualifier"
+      version="1.3.1.qualifier"
       provider-name="%providerName"
       plugin="org.jboss.tools.community.project.examples">
 
diff --git a/examples/features/org.jboss.tools.community.project.examples.feature/pom.xml b/examples/features/org.jboss.tools.community.project.examples.feature/pom.xml
index 2ea837c..6f4387b 100644
--- a/examples/features/org.jboss.tools.community.project.examples.feature/pom.xml
+++ b/examples/features/org.jboss.tools.community.project.examples.feature/pom.xml
@@ -5,7 +5,7 @@
 	<parent>
 		<groupId>org.jboss.tools.examples</groupId>
 		<artifactId>features</artifactId>
-		<version>1.2.1-SNAPSHOT</version>
+		<version>1.3.1-SNAPSHOT</version>
 	</parent>
 	<groupId>org.jboss.tools.examples.features</groupId>
 	<artifactId>org.jboss.tools.community.project.examples.feature</artifactId>
diff --git a/examples/features/org.jboss.tools.project.examples.feature/feature.xml b/examples/features/org.jboss.tools.project.examples.feature/feature.xml
index d88fd60..a0ba101 100644
--- a/examples/features/org.jboss.tools.project.examples.feature/feature.xml
+++ b/examples/features/org.jboss.tools.project.examples.feature/feature.xml
@@ -2,7 +2,7 @@
 <feature
       id="org.jboss.tools.project.examples.feature"
       label="%featureName"
-      version="1.2.1.qualifier"
+      version="1.3.1.qualifier"
       provider-name="%providerName"
       plugin="org.jboss.tools.project.examples">
 
diff --git a/examples/features/org.jboss.tools.project.examples.feature/pom.xml b/examples/features/org.jboss.tools.project.examples.feature/pom.xml
index 4100955..38b4b38 100644
--- a/examples/features/org.jboss.tools.project.examples.feature/pom.xml
+++ b/examples/features/org.jboss.tools.project.examples.feature/pom.xml
@@ -5,7 +5,7 @@
 	<parent>
 		<groupId>org.jboss.tools.examples</groupId>
 		<artifactId>features</artifactId>
-		<version>1.2.1-SNAPSHOT</version>
+		<version>1.3.1-SNAPSHOT</version>
 	</parent>
 	<groupId>org.jboss.tools.examples.features</groupId>
 	<artifactId>org.jboss.tools.project.examples.feature</artifactId>
diff --git a/examples/features/org.jboss.tools.project.examples.test.feature/feature.xml b/examples/features/org.jboss.tools.project.examples.test.feature/feature.xml
index 7a62c33..0c0dc2a 100644
--- a/examples/features/org.jboss.tools.project.examples.test.feature/feature.xml
+++ b/examples/features/org.jboss.tools.project.examples.test.feature/feature.xml
@@ -1,5 +1,5 @@
 <?xml version="1.0" encoding="UTF-8"?>
-<feature id="org.jboss.tools.project.examples.test.feature" label="JBoss Tools - Tests - Project Examples" version="1.2.1.qualifier" provider-name="JBoss by Red Hat">
+<feature id="org.jboss.tools.project.examples.test.feature" label="JBoss Tools - Tests - Project Examples" version="1.3.1.qualifier" provider-name="JBoss by Red Hat">
 
 	<description>
       %description
diff --git a/examples/features/org.jboss.tools.project.examples.test.feature/pom.xml b/examples/features/org.jboss.tools.project.examples.test.feature/pom.xml
index 8865c43..1fc8d63 100644
--- a/examples/features/org.jboss.tools.project.examples.test.feature/pom.xml
+++ b/examples/features/org.jboss.tools.project.examples.test.feature/pom.xml
@@ -5,7 +5,7 @@
 	<parent>
 		<groupId>org.jboss.tools.examples</groupId>
 		<artifactId>features</artifactId>
-		<version>1.2.1-SNAPSHOT</version>
+		<version>1.3.1-SNAPSHOT</version>
 	</parent>
 	<groupId>org.jboss.tools.examples.features</groupId>
 	<artifactId>org.jboss.tools.project.examples.test.feature</artifactId>
diff --git a/examples/features/pom.xml b/examples/features/pom.xml
index 0758136..43d0c88 100644
--- a/examples/features/pom.xml
+++ b/examples/features/pom.xml
@@ -5,7 +5,7 @@
 	<parent>
 		<groupId>org.jboss.tools</groupId>
 		<artifactId>examples</artifactId>
-		<version>1.2.1-SNAPSHOT</version>
+		<version>1.3.1-SNAPSHOT</version>
 	</parent>
 	<groupId>org.jboss.tools.examples</groupId>
 	<artifactId>features</artifactId>
diff --git a/examples/plugins/org.jboss.tools.community.project.examples/META-INF/MANIFEST.MF b/examples/plugins/org.jboss.tools.community.project.examples/META-INF/MANIFEST.MF
index acf9d9f..0f1ad2c 100644
--- a/examples/plugins/org.jboss.tools.community.project.examples/META-INF/MANIFEST.MF
+++ b/examples/plugins/org.jboss.tools.community.project.examples/META-INF/MANIFEST.MF
@@ -2,7 +2,7 @@ Manifest-Version: 1.0
 Bundle-ManifestVersion: 2
 Bundle-Name: %BundleName
 Bundle-SymbolicName: org.jboss.tools.community.project.examples;singleton:=true
-Bundle-Version: 1.2.1.qualifier
+Bundle-Version: 1.3.1.qualifier
 Bundle-Vendor: %BundleVendor
 Bundle-Localization: plugin
 Require-Bundle: org.jboss.tools.project.examples
diff --git a/examples/plugins/org.jboss.tools.community.project.examples/pom.xml b/examples/plugins/org.jboss.tools.community.project.examples/pom.xml
index 851ec0d..e7df6a8 100644
--- a/examples/plugins/org.jboss.tools.community.project.examples/pom.xml
+++ b/examples/plugins/org.jboss.tools.community.project.examples/pom.xml
@@ -5,7 +5,7 @@
 	<parent>
 		<groupId>org.jboss.tools.examples</groupId>
 		<artifactId>plugins</artifactId>
-		<version>1.2.1-SNAPSHOT</version>
+		<version>1.3.1-SNAPSHOT</version>
 	</parent>
 	<groupId>org.jboss.tools.examples.plugins</groupId>
 	<artifactId>org.jboss.tools.community.project.examples</artifactId>
diff --git a/examples/plugins/org.jboss.tools.project.examples.cheatsheet/META-INF/MANIFEST.MF b/examples/plugins/org.jboss.tools.project.examples.cheatsheet/META-INF/MANIFEST.MF
index a9fe68d..94e374b 100644
--- a/examples/plugins/org.jboss.tools.project.examples.cheatsheet/META-INF/MANIFEST.MF
+++ b/examples/plugins/org.jboss.tools.project.examples.cheatsheet/META-INF/MANIFEST.MF
@@ -2,7 +2,7 @@ Manifest-Version: 1.0
 Bundle-ManifestVersion: 2
 Bundle-Name: %BundleName
 Bundle-SymbolicName: org.jboss.tools.project.examples.cheatsheet;singleton:=true
-Bundle-Version: 1.2.1.qualifier
+Bundle-Version: 1.3.1.qualifier
 Bundle-Activator: org.jboss.tools.project.examples.cheatsheet.Activator
 Bundle-Vendor: %BundleVendor
 Bundle-Localization: plugin
diff --git a/examples/plugins/org.jboss.tools.project.examples.cheatsheet/pom.xml b/examples/plugins/org.jboss.tools.project.examples.cheatsheet/pom.xml
index 7bd3ab2..595bfaf 100644
--- a/examples/plugins/org.jboss.tools.project.examples.cheatsheet/pom.xml
+++ b/examples/plugins/org.jboss.tools.project.examples.cheatsheet/pom.xml
@@ -5,7 +5,7 @@
 	<parent>
 		<groupId>org.jboss.tools.examples</groupId>
 		<artifactId>plugins</artifactId>
-		<version>1.2.1-SNAPSHOT</version>
+		<version>1.3.1-SNAPSHOT</version>
 	</parent>
 	<groupId>org.jboss.tools.examples.plugins</groupId>
 	<artifactId>org.jboss.tools.project.examples.cheatsheet</artifactId>
diff --git a/examples/plugins/org.jboss.tools.project.examples/META-INF/MANIFEST.MF b/examples/plugins/org.jboss.tools.project.examples/META-INF/MANIFEST.MF
index 7c7c361..d870da4 100644
--- a/examples/plugins/org.jboss.tools.project.examples/META-INF/MANIFEST.MF
+++ b/examples/plugins/org.jboss.tools.project.examples/META-INF/MANIFEST.MF
@@ -2,7 +2,7 @@ Manifest-Version: 1.0
 Bundle-ManifestVersion: 2
 Bundle-Name: %BundleName
 Bundle-SymbolicName: org.jboss.tools.project.examples;singleton:=true
-Bundle-Version: 1.2.1.qualifier
+Bundle-Version: 1.3.1.qualifier
 Bundle-Activator: org.jboss.tools.project.examples.ProjectExamplesActivator
 Bundle-Vendor: %BundleVendor
 Require-Bundle: org.eclipse.ui,
diff --git a/examples/plugins/org.jboss.tools.project.examples/pom.xml b/examples/plugins/org.jboss.tools.project.examples/pom.xml
index ca7ceee..f3ae34e 100644
--- a/examples/plugins/org.jboss.tools.project.examples/pom.xml
+++ b/examples/plugins/org.jboss.tools.project.examples/pom.xml
@@ -5,7 +5,7 @@
 	<parent>
 		<groupId>org.jboss.tools.examples</groupId>
 		<artifactId>plugins</artifactId>
-		<version>1.2.1-SNAPSHOT</version>
+		<version>1.3.1-SNAPSHOT</version>
 	</parent>
 	<groupId>org.jboss.tools.examples.plugins</groupId>
 	<artifactId>org.jboss.tools.project.examples</artifactId>
diff --git a/examples/plugins/pom.xml b/examples/plugins/pom.xml
index 619607b..1400956 100644
--- a/examples/plugins/pom.xml
+++ b/examples/plugins/pom.xml
@@ -5,7 +5,7 @@
 	<parent>
 		<groupId>org.jboss.tools</groupId>
 		<artifactId>examples</artifactId>
-		<version>1.2.1-SNAPSHOT</version>
+		<version>1.3.1-SNAPSHOT</version>
 	</parent>
 	<groupId>org.jboss.tools.examples</groupId>
 	<artifactId>plugins</artifactId>
diff --git a/examples/pom.xml b/examples/pom.xml
index f299c78..0f11b7a 100644
--- a/examples/pom.xml
+++ b/examples/pom.xml
@@ -10,7 +10,7 @@
 	</parent>
 	<groupId>org.jboss.tools</groupId>
 	<artifactId>examples</artifactId>
-	<version>1.2.1-SNAPSHOT</version>
+	<version>1.3.1-SNAPSHOT</version>
 	<name>examples.all</name>
 	<packaging>pom</packaging>
 	<modules>
diff --git a/examples/site/pom.xml b/examples/site/pom.xml
index 1540346..d13edc8 100644
--- a/examples/site/pom.xml
+++ b/examples/site/pom.xml
@@ -5,7 +5,7 @@
 	<parent>
 		<groupId>org.jboss.tools</groupId>
 		<artifactId>examples</artifactId>
-		<version>1.2.1-SNAPSHOT</version>
+		<version>1.3.1-SNAPSHOT</version>
 	</parent>
 	<groupId>org.jboss.tools.examples</groupId>
 	<artifactId>examples.site</artifactId>
diff --git a/examples/tests/org.jboss.tools.project.examples.test/META-INF/MANIFEST.MF b/examples/tests/org.jboss.tools.project.examples.test/META-INF/MANIFEST.MF
index c2d9b3a..c4312ae 100644
--- a/examples/tests/org.jboss.tools.project.examples.test/META-INF/MANIFEST.MF
+++ b/examples/tests/org.jboss.tools.project.examples.test/META-INF/MANIFEST.MF
@@ -2,7 +2,7 @@ Manifest-Version: 1.0
 Bundle-ManifestVersion: 2
 Bundle-Name: %BundleName
 Bundle-SymbolicName: org.jboss.tools.project.examples.test;singleton:=true
-Bundle-Version: 1.2.1.qualifier
+Bundle-Version: 1.3.1.qualifier
 Require-Bundle: org.eclipse.core.runtime,
  org.jboss.tools.tests,
  org.jboss.tools.project.examples,
diff --git a/examples/tests/org.jboss.tools.project.examples.test/pom.xml b/examples/tests/org.jboss.tools.project.examples.test/pom.xml
index c03db2d..2166a88 100644
--- a/examples/tests/org.jboss.tools.project.examples.test/pom.xml
+++ b/examples/tests/org.jboss.tools.project.examples.test/pom.xml
@@ -5,7 +5,7 @@
 	<parent>
 		<groupId>org.jboss.tools.examples</groupId>
 		<artifactId>tests</artifactId>
-		<version>1.2.1-SNAPSHOT</version>
+		<version>1.3.1-SNAPSHOT</version>
 	</parent>
 	<groupId>org.jboss.tools.examples.tests</groupId>
 	<artifactId>org.jboss.tools.project.examples.test</artifactId>
diff --git a/examples/tests/pom.xml b/examples/tests/pom.xml
index 0bdd7e5..cb10841 100644
--- a/examples/tests/pom.xml
+++ b/examples/tests/pom.xml
@@ -5,7 +5,7 @@
 	<parent>
 		<groupId>org.jboss.tools</groupId>
 		<artifactId>examples</artifactId>
-		<version>1.2.1-SNAPSHOT</version>
+		<version>1.3.1-SNAPSHOT</version>
 	</parent>
 	<groupId>org.jboss.tools.examples</groupId>
 	<artifactId>tests</artifactId>