Index: testsuite/src/test/java/org/jboss/ejb3/test/entity/EntityTestBean.java
===================================================================
--- testsuite/src/test/java/org/jboss/ejb3/test/entity/EntityTestBean.java	(revision 113171)
+++ testsuite/src/test/java/org/jboss/ejb3/test/entity/EntityTestBean.java	(working copy)
@@ -82,7 +82,6 @@
       org.hibernate.Query q2 = session.createQuery("FROM Customer c");
       l = q2.list();
       if (l.size() == 0) throw new RuntimeException("failed");
-
    }
 
    public Customer oneToManyCreate() throws Exception
Index: testsuite/src/test/java/org/jboss/ejb3/test/entity/unit/EntityUnitTestCase.java
===================================================================
--- testsuite/src/test/java/org/jboss/ejb3/test/entity/unit/EntityUnitTestCase.java	(revision 113171)
+++ testsuite/src/test/java/org/jboss/ejb3/test/entity/unit/EntityUnitTestCase.java	(working copy)
@@ -53,72 +53,79 @@
 
    public EntityUnitTestCase(String name)
    {
-
       super(name);
-
    }
 
-   public void testOneToMany() throws Exception
+   public void testFlush() throws Exception
    {
       EntityTest test = (EntityTest) this.getInitialContext().lookup("EntityTestBean/remote");
-      Customer c = test.oneToManyCreate();
-      assertNotNull(c);
-      assertNotNull(c.getTickets());
-      Set<Ticket> tickets = c.getTickets();
-      assertTrue(tickets.size() > 0);
-
-      // test find
-      c = test.findCustomerById(c.getId());
-      assertNotNull(c);
-      assertNotNull(c.getTickets());
-      tickets = c.getTickets();
-      assertTrue(tickets.size() > 0);
-
-      // test 1-1
-      Address address = c.getAddress();
-      assertTrue(address != null);
-      assertTrue(address.getCity().equals("Boston"));
+      Customer c = test.createCustomer("Emmanuel");
+	  test.changeCustomer(c.getId(), "Bill");
+	  Customer c2 = test.loadCustomer(c.getId());
+	  assertEquals("Bill", c2.getName());
    }
 
-   public void testManyToOne() throws Exception
+   public void testGetDelegate() throws Exception
    {
       EntityTest test = (EntityTest) this.getInitialContext().lookup("EntityTestBean/remote");
-      Flight f = test.manyToOneCreate();
-      f = test.findFlightById(f.getId());
-      assertTrue(f.getName().equals("AF0101"));
-      assertTrue(f.getCompany().getName().equals("Air France"));
+      assertTrue( "delegate is not an hibernate Session", test.isDelegateASession() );
+   }
 
-      Company c = test.findCompanyById(f.getCompany().getId());
-      assertTrue(c != null);
-      assertTrue(c.getFlights().size() == 1);
+   public void testTrueHibernateSession() throws Exception
+   {
+      EntityTest test = (EntityTest) this.getInitialContext().lookup("EntityTestBean/remote");
+      assertTrue( "Sesison object does not implement the private session interfaces", test.isTrueHibernateSession() );
    }
+   
+   public void testNamedQueries() throws Exception
+   {
+      EntityTest test = (EntityTest) this.getInitialContext().lookup("EntityTestBean/remote");
+      test.testNamedQueries();      
+   }
 
-   public void testManyToMany() throws Exception
+   public void testOutsideTx() throws Exception
    {
       EntityTest test = (EntityTest) this.getInitialContext().lookup("EntityTestBean/remote");
-      test.manyToManyCreate();
+      test.testOutsideTransaction();      
+   }
+   
+   public void testFieldManyToMany() throws Exception
+   {
+	  log.info("testFieldManyToOne");
+	  EntityTest testFieldManyToOne = (EntityTest) this.getInitialContext().lookup("EntityTestBean/remote");
+	  FieldFlight f = testFieldManyToOne.fieldManyToOneCreate();
+	  f = testFieldManyToOne.fieldFindFlightById(f.getId());
+	  assertTrue(f.getName().equals("AF0101"));
+	  assertTrue(f.getCompany().getName().equals("Air France"));
 
-      Flight one = test.findFlightById(new Long(1));
+	  FieldCompany cManyToOne = testFieldManyToOne.fieldFindCompanyById(f.getCompany().getId());
+	  assertTrue(cManyToOne != null);
+	  assertTrue(cManyToOne.getFlights().size() == 1);
+	   
+	  log.info("testFieldManyToMany");
+      EntityTest testFieldManyToMany = (EntityTest) this.getInitialContext().lookup("EntityTestBean/remote");
+      testFieldManyToMany.fieldManyToManyCreate();
+
+      FieldFlight one = testFieldManyToMany.fieldFindFlightById(new Long(1));
       assertTrue(one.getCompany().getName().equals("Air France"));
 
-      Flight two = test.findFlightById(new Long(2));
+      FieldFlight two = testFieldManyToMany.fieldFindFlightById(new Long(2));
       assertTrue(two.getCompany().getName().equals("USAir"));
 
       System.out.println("Air France customers");
-      for (Customer c : one.getCustomers())
+      for (FieldCustomer c : one.getCustomers())
       {
          System.out.println(c.getName());
 
       }
       System.out.println("USAir customers");
 
-      for (Customer c : two.getCustomers())
+      for (FieldCustomer c : two.getCustomers())
       {
          System.out.println(c.getName());
       }
-
    }
-
+   
    public void testFieldOneToMany() throws Exception
    {
       EntityTest test = (EntityTest) this.getInitialContext().lookup("EntityTestBean/remote");
@@ -140,78 +147,63 @@
       assertTrue(address != null);
       assertTrue(address.getCity().equals("Boston"));
    }
-
-   public void testFieldManyToOne() throws Exception
+   
+   public void testManyToMany() throws Exception
    {
-      EntityTest test = (EntityTest) this.getInitialContext().lookup("EntityTestBean/remote");
-      FieldFlight f = test.fieldManyToOneCreate();
-      f = test.fieldFindFlightById(f.getId());
-      assertTrue(f.getName().equals("AF0101"));
-      assertTrue(f.getCompany().getName().equals("Air France"));
+	  log.info("testManyToOne");
+	  EntityTest testManyToOne = (EntityTest) this.getInitialContext().lookup("EntityTestBean/remote");
+	  Flight f = testManyToOne.manyToOneCreate();
+	  f = testManyToOne.findFlightById(f.getId());
+	  assertTrue(f.getName().equals("AF0101"));
+	  assertTrue(f.getCompany().getName().equals("Air France"));
 
-      FieldCompany c = test.fieldFindCompanyById(f.getCompany().getId());
-      assertTrue(c != null);
-      assertTrue(c.getFlights().size() == 1);
-   }
+	  Company cManyToOne = testManyToOne.findCompanyById(f.getCompany().getId());
+	  assertTrue(cManyToOne != null);
+	  assertTrue(cManyToOne.getFlights().size() == 1);
+	   
+	  log.info("testManyToMany");
+      EntityTest testManyToMany = (EntityTest) this.getInitialContext().lookup("EntityTestBean/remote");
+      testManyToMany.manyToManyCreate();
 
-   public void testFieldManyToMany() throws Exception
-   {
-      EntityTest test = (EntityTest) this.getInitialContext().lookup("EntityTestBean/remote");
-      test.fieldManyToManyCreate();
-
-      FieldFlight one = test.fieldFindFlightById(new Long(1));
+      Flight one = testManyToMany.findFlightById(new Long(1));
       assertTrue(one.getCompany().getName().equals("Air France"));
 
-      FieldFlight two = test.fieldFindFlightById(new Long(2));
+      Flight two = testManyToMany.findFlightById(new Long(2));
       assertTrue(two.getCompany().getName().equals("USAir"));
 
       System.out.println("Air France customers");
-      for (FieldCustomer c : one.getCustomers())
+      for (Customer c : one.getCustomers())
       {
          System.out.println(c.getName());
-
       }
       System.out.println("USAir customers");
 
-      for (FieldCustomer c : two.getCustomers())
+      for (Customer c : two.getCustomers())
       {
          System.out.println(c.getName());
       }
-
    }
-
-   public void testNamedQueries() throws Exception
-   {
-      EntityTest test = (EntityTest) this.getInitialContext().lookup("EntityTestBean/remote");
-      test.testNamedQueries();      
-   }
-
-   public void testOutsideTx() throws Exception
-   {
-      EntityTest test = (EntityTest) this.getInitialContext().lookup("EntityTestBean/remote");
-      test.testOutsideTransaction();      
-
-   }
    
-   public void testFlush() throws Exception
+   public void testOneToMany() throws Exception
    {
       EntityTest test = (EntityTest) this.getInitialContext().lookup("EntityTestBean/remote");
-      Customer c = test.createCustomer("Emmanuel");
-	  test.changeCustomer(c.getId(), "Bill");
-	  Customer c2 = test.loadCustomer(c.getId());
-	  assertEquals("Bill", c2.getName());
-   }
+      Customer c = test.oneToManyCreate();
+      assertNotNull(c);
+      assertNotNull(c.getTickets());
+      Set<Ticket> tickets = c.getTickets();
+      assertTrue(tickets.size() > 0);
 
-   public void testGetDelegate() throws Exception
-   {
-      EntityTest test = (EntityTest) this.getInitialContext().lookup("EntityTestBean/remote");
-      assertTrue( "delegate is not an hibernate Session", test.isDelegateASession() );
-   }
+      // test find
+      c = test.findCustomerById(c.getId());
+      assertNotNull(c);
+      assertNotNull(c.getTickets());
+      tickets = c.getTickets();
+      assertTrue(tickets.size() > 0);
 
-   public void testTrueHibernateSession() throws Exception
-   {
-      EntityTest test = (EntityTest) this.getInitialContext().lookup("EntityTestBean/remote");
-      assertTrue( "Sesison object does not implement the private session interfaces", test.isTrueHibernateSession() );
+      // test 1-1
+      Address address = c.getAddress();
+      assertTrue(address != null);
+      assertTrue(address.getCity().equals("Boston"));
    }
 
    public static Test suite() throws Exception
Index: testsuite/src/test/java/org/jboss/ejb3/test/clusteredjms/unit/MDBUnitTestCase.java
===================================================================
--- testsuite/src/test/java/org/jboss/ejb3/test/clusteredjms/unit/MDBUnitTestCase.java	(revision 113171)
+++ testsuite/src/test/java/org/jboss/ejb3/test/clusteredjms/unit/MDBUnitTestCase.java	(working copy)
@@ -38,6 +38,8 @@
 public class MDBUnitTestCase extends JBossTestCase
 {
    private static final Logger log = Logger.getLogger(MDBUnitTestCase.class);
+   private static final int TIMEOUT_S = 30;
+   private static final int MESSAGE_NUMBER = 5;
 
    public MDBUnitTestCase(String name)
    {
@@ -62,17 +64,19 @@
       TextMessage msg = session.createTextMessage("Hello World");
 
       sender = session.createSender(queue);
-      sender.send(msg);
-      sender.send(msg);
-      sender.send(msg);
-      sender.send(msg);
-      sender.send(msg);
+      for(int i=0; i<MESSAGE_NUMBER; i++) {
+    	  sender.send(msg);
+      }
       session.close();
       cnn.close();
 
-      Thread.sleep(2000);
-      assertEquals(5, status.queueFired());
+      int waitTimeS = 0;
+      while(status.queueFired() < MESSAGE_NUMBER && waitTimeS < TIMEOUT_S) {
+    	  Thread.sleep(1000);
+    	  waitTimeS++;
+      }
       
+      assertEquals(MESSAGE_NUMBER, status.queueFired());      
       assertEquals("clusteredqueuetest", status.testInjection());
    }
 
Index: testsuite/src/test/java/org/jboss/ejb3/test/clusteredjms/TestStatus.java
===================================================================
--- testsuite/src/test/java/org/jboss/ejb3/test/clusteredjms/TestStatus.java	(revision 113171)
+++ testsuite/src/test/java/org/jboss/ejb3/test/clusteredjms/TestStatus.java	(working copy)
@@ -31,4 +31,6 @@
    int queueFired();
    
    String testInjection() throws Exception;
+   
+   int increaseQueueRun(); 
 }
Index: testsuite/src/test/java/org/jboss/ejb3/test/clusteredjms/QueueTestMDB.java
===================================================================
--- testsuite/src/test/java/org/jboss/ejb3/test/clusteredjms/QueueTestMDB.java	(revision 113171)
+++ testsuite/src/test/java/org/jboss/ejb3/test/clusteredjms/QueueTestMDB.java	(working copy)
@@ -22,6 +22,7 @@
 package org.jboss.ejb3.test.clusteredjms;
 
 import javax.ejb.ActivationConfigProperty;
+import javax.ejb.EJB;
 import javax.ejb.MessageDriven;
 import javax.jms.Message;
 import javax.jms.MessageListener;
@@ -41,12 +42,14 @@
 {
    private static final Logger log = Logger.getLogger(QueueTestMDB.class);
    
+   @EJB
+   TestStatus statusBean;
+   
    public int count = 0;
 
    public void onMessage(Message recvMsg)
    {
-      ++TestStatusBean.queueRan;
-      
-      System.out.println("+++ QueueTestMDB onMessage " + TestStatusBean.queueRan + " " + count + " " + this);
+	  int runNumber = statusBean.increaseQueueRun();     
+      log.info("+++ QueueTestMDB onMessage " + runNumber + " " + count + " " + this);
    }
 }
Index: testsuite/src/test/java/org/jboss/ejb3/test/clusteredjms/TestStatusBean.java
===================================================================
--- testsuite/src/test/java/org/jboss/ejb3/test/clusteredjms/TestStatusBean.java	(revision 113171)
+++ testsuite/src/test/java/org/jboss/ejb3/test/clusteredjms/TestStatusBean.java	(working copy)
@@ -21,38 +21,43 @@
  */
 package org.jboss.ejb3.test.clusteredjms;
 
+import org.jboss.ejb3.annotation.Service;
 import org.jboss.logging.Logger;
 
 import javax.annotation.Resource;
 import javax.ejb.Remote;
-import javax.ejb.Stateless;
 import javax.jms.Queue;
 
 /**
  * @author <a href="mailto:bdecoste@jboss.com">William DeCoste</a>
  */
-@Stateless
+@Service
 @Remote(TestStatus.class)
 public class TestStatusBean implements TestStatus
 {
    private static final Logger log = Logger.getLogger(TestStatusBean.class);
+   private int queueRun = 0;
    
-   public static int queueRan = 0;
-   
    @Resource(mappedName="queue/clusteredqueuetest") Queue queue;
 
    public void clear()
    {
-      queueRan = 0;
+      queueRun = 0;
    }
 
    public int queueFired()
    {
-      return queueRan;
+      return queueRun;
    }
    
    public String testInjection() throws Exception
    {
       return queue.getQueueName();
    }
+   
+   public synchronized int increaseQueueRun() 
+   {
+	   queueRun++;
+	   return queueRun;
+   }
 }
Index: testsuite/src/test/java/org/jboss/ejb3/test/composite/unit/EntityUnitTestCase.java
===================================================================
--- testsuite/src/test/java/org/jboss/ejb3/test/composite/unit/EntityUnitTestCase.java	(revision 113171)
+++ testsuite/src/test/java/org/jboss/ejb3/test/composite/unit/EntityUnitTestCase.java	(working copy)
@@ -49,60 +49,86 @@
 
    public EntityUnitTestCase(String name)
    {
-
       super(name);
-
    }
 
-   public void testOneToMany() throws Exception
+   public void testManyToMany() throws Exception
    {
-      EntityTest test = (EntityTest) this.getInitialContext().lookup("EntityTestBean/remote");
-      Customer c = test.oneToManyCreate("Bill");
-      assertNotNull(c);
-      assertNotNull(c.getTickets());
-      Set<Ticket> tickets = c.getTickets();
-      assertTrue(tickets.size() > 0);
+	  log.info("testManyToOne");
+	  EntityTest testManyToOne = (EntityTest) this.getInitialContext().lookup("EntityTestBean/remote");
+	  Flight f = testManyToOne.manyToOneCreate();
+	  f = testManyToOne.findFlightById(f.getId());
+	  assertTrue(f.getName().equals("AF0101"));
+	  
+	  log.info("testManyToMany");
+      EntityTest testManyToMany = (EntityTest) this.getInitialContext().lookup("EntityTestBean/remote");
+      testManyToMany.manyToManyCreate();
 
-      // test find
-      c = test.findCustomerByPk(c.getPk());
-      assertNotNull(c);
-      assertNotNull(c.getTickets());
-      tickets = c.getTickets();
-      assertTrue(tickets.size() > 0);
-      assertEquals("Bill", c.getName());
+      Flight one = testManyToMany.findFlightById(new Long(1));
+      Flight two = testManyToMany.findFlightById(new Long(2));
 
-   }
+      System.out.println("Air France customers");
+      for (Customer c : one.getCustomers())
+      {
+         System.out.println(c.getName());
 
-   public void testManyToOne() throws Exception
-   {
-      EntityTest test = (EntityTest) this.getInitialContext().lookup("EntityTestBean/remote");
-      Flight f = test.manyToOneCreate();
-      f = test.findFlightById(f.getId());
-      assertTrue(f.getName().equals("AF0101"));
+      }
+      System.out.println("USAir customers");
+
+      for (Customer c : two.getCustomers())
+      {
+         System.out.println(c.getName());
+      }
    }
 
-   public void testManyToMany() throws Exception
+   public void testFieldManyToOneAndManyToMany() throws Exception
    {
-      EntityTest test = (EntityTest) this.getInitialContext().lookup("EntityTestBean/remote");
-      test.manyToManyCreate();
+	  log.info("testFieldManyToOne");
+	  EntityTest testFieldManyToOne = (EntityTest) this.getInitialContext().lookup("EntityTestBean/remote");
+	  FieldFlight f = testFieldManyToOne.fieldManyToOneCreate();
+	  f = testFieldManyToOne.fieldFindFlightById(f.getId());
+	  assertTrue(f.getName().equals("AF0101"));
+	   
+	  
+	  log.info("testFieldManyToMany");
+      EntityTest testFieldManyToMany = (EntityTest) this.getInitialContext().lookup("EntityTestBean/remote");
+      testFieldManyToMany.fieldManyToManyCreate();
 
-      Flight one = test.findFlightById(new Long(1));
-      Flight two = test.findFlightById(new Long(2));
+      FieldFlight one = testFieldManyToMany.fieldFindFlightById(new Long(1));
+      FieldFlight two = testFieldManyToMany.fieldFindFlightById(new Long(2));
 
       System.out.println("Air France customers");
-      for (Customer c : one.getCustomers())
+      for (FieldCustomer c : one.getCustomers())
       {
          System.out.println(c.getName());
 
       }
       System.out.println("USAir customers");
 
-      for (Customer c : two.getCustomers())
+      for (FieldCustomer c : two.getCustomers())
       {
          System.out.println(c.getName());
       }
+   }
+   
+   public void testOneToMany() throws Exception
+   {
+      EntityTest test = (EntityTest) this.getInitialContext().lookup("EntityTestBean/remote");
+      Customer c = test.oneToManyCreate("Bill");
+      assertNotNull(c);
+      assertNotNull(c.getTickets());
+      Set<Ticket> tickets = c.getTickets();
+      assertTrue(tickets.size() > 0);
 
+      // test find
+      c = test.findCustomerByPk(c.getPk());
+      assertNotNull(c);
+      assertNotNull(c.getTickets());
+      tickets = c.getTickets();
+      assertTrue(tickets.size() > 0);
+      assertEquals("Bill", c.getName());
    }
+   
 
    public void testFieldOneToMany() throws Exception
    {
@@ -120,40 +146,8 @@
       tickets = c.getTickets();
       assertTrue(tickets.size() > 0);
       assertEquals("Bill", c.getName());
-
    }
 
-   public void testFieldManyToOne() throws Exception
-   {
-      EntityTest test = (EntityTest) this.getInitialContext().lookup("EntityTestBean/remote");
-      FieldFlight f = test.fieldManyToOneCreate();
-      f = test.fieldFindFlightById(f.getId());
-      assertTrue(f.getName().equals("AF0101"));
-   }
-
-   public void testFieldManyToMany() throws Exception
-   {
-      EntityTest test = (EntityTest) this.getInitialContext().lookup("EntityTestBean/remote");
-      test.fieldManyToManyCreate();
-
-      FieldFlight one = test.fieldFindFlightById(new Long(1));
-      FieldFlight two = test.fieldFindFlightById(new Long(2));
-
-      System.out.println("Air France customers");
-      for (FieldCustomer c : one.getCustomers())
-      {
-         System.out.println(c.getName());
-
-      }
-      System.out.println("USAir customers");
-
-      for (FieldCustomer c : two.getCustomers())
-      {
-         System.out.println(c.getName());
-      }
-
-   }
-
    public static Test suite() throws Exception
    {
       return getDeploySetup(EntityUnitTestCase.class, "composite-test.jar");
Index: testsuite/src/test/java/org/jboss/ejb3/test/dd/mdb/TestStatusBean.java
===================================================================
--- testsuite/src/test/java/org/jboss/ejb3/test/dd/mdb/TestStatusBean.java	(revision 113171)
+++ testsuite/src/test/java/org/jboss/ejb3/test/dd/mdb/TestStatusBean.java	(working copy)
@@ -23,7 +23,6 @@
 
 import org.jboss.ejb3.annotation.Service;
 
-import javax.jms.Destination;
 import java.util.ArrayList;
 import java.util.List;
 
@@ -42,14 +41,14 @@
       destinations.clear();
    }
    
-   public static void addDestination(String dest)
+   public static synchronized void addDestination(String dest)
    {
       if(dest == null)
          throw new IllegalArgumentException("dest is null");
       destinations.add(dest);
    }
    
-   public List<String> getDestinations()
+   public synchronized List<String> getDestinations()
    {
       return destinations; 
    }
Index: testsuite/src/test/java/org/jboss/ejb3/test/dd/mdb/QueueBean.java
===================================================================
--- testsuite/src/test/java/org/jboss/ejb3/test/dd/mdb/QueueBean.java	(revision 113171)
+++ testsuite/src/test/java/org/jboss/ejb3/test/dd/mdb/QueueBean.java	(working copy)
@@ -23,6 +23,7 @@
 
 import java.sql.Connection;
 
+import javax.annotation.Resource;
 import javax.ejb.EJBException;
 import javax.ejb.MessageDrivenBean;
 import javax.ejb.MessageDrivenContext;
@@ -48,6 +49,7 @@
 
 public class QueueBean implements MessageDrivenBean, MessageListener
 {
+   private static final long serialVersionUID = 1L;
    private static final Logger log = Logger.getLogger(QueueBean.class);
 
    private MessageDrivenContext ctx = null;
@@ -61,7 +63,7 @@
       log.info("Created");
    }
 
-   //@Resource //@see EJBTHREE-1633
+   @Resource //@see EJBTHREE-1633
    public void setMessageDrivenContext(MessageDrivenContext ctx) throws EJBException
    {
       this.ctx = ctx;
Index: testsuite/src/test/java/org/jboss/ejb3/test/dd/mdb/unit/MDBUnitTestCase.java
===================================================================
--- testsuite/src/test/java/org/jboss/ejb3/test/dd/mdb/unit/MDBUnitTestCase.java	(revision 113171)
+++ testsuite/src/test/java/org/jboss/ejb3/test/dd/mdb/unit/MDBUnitTestCase.java	(working copy)
@@ -76,6 +76,8 @@
 {
    private static final Logger log = Logger.getLogger(MDBUnitTestCase.class);
 
+   private static final int TIMEOUT_S = 30;
+   
    // Provider specific
    static String TOPIC_FACTORY = "ConnectionFactory";
    static String QUEUE_FACTORY = "ConnectionFactory";
@@ -149,11 +151,11 @@
     */
    public void testQueue(String dest) throws Exception {
       printHeader(dest);
-      TestStatus status = (TestStatus)getInitialContext().lookup("TestStatusBean/remote");
+      TestStatus status = (TestStatus) getInitialContext().lookup("TestStatusBean/remote");
       status.clear();
       
       QueueSession session = getQueueSession();
-      Queue queue = (Queue)getInitialContext().lookup(dest);
+      Queue queue = (Queue) getInitialContext().lookup(dest);
       QueueSender sender = session.createSender(queue);
 
       log.debug("TestQueue: " + dest + " Sending 10 messages 1-10");
@@ -166,17 +168,21 @@
 
       sender.close();
       
-      Thread.sleep(10000);
+      int size = (dest.equals("queue/ex")) ? 100 : 10;
+      int timeWaitedS = 0;
+      while (status.getDestinations().size() < size && timeWaitedS < TIMEOUT_S) {
+    	  Thread.sleep(1000);
+    	  timeWaitedS++;
+      }
       
       List<String> destinations = status.getDestinations();
-      int size = (dest.equals("queue/ex")) ? 100 : 10;
-
+      
       assertEquals(size, destinations.size());
       for (Iterator it = destinations.iterator() ; it.hasNext() ;)
       {
          assertEquals(dest, it.next());
       }
-}
+	}
 
    /**
     * Test sending messages to Queue testQueue
@@ -213,8 +219,9 @@
          assertTrue("Destination name should start with '" + dest + "' it was '" + name + "'", name.startsWith(dest));
       }
      
-}
+   }
 
+
    /**
     * Test sending messages to queue testObjectMessage
     */
Index: testsuite/src/test/java/org/jboss/ejb3/test/dd/mdb/TopicBean.java
===================================================================
--- testsuite/src/test/java/org/jboss/ejb3/test/dd/mdb/TopicBean.java	(revision 113171)
+++ testsuite/src/test/java/org/jboss/ejb3/test/dd/mdb/TopicBean.java	(working copy)
@@ -23,6 +23,7 @@
 
 import org.jboss.logging.Logger;
 
+import javax.annotation.Resource;
 import javax.ejb.EJBException;
 import javax.ejb.MessageDrivenBean;
 import javax.ejb.MessageDrivenContext;
@@ -51,7 +52,7 @@
 
    }
 
-   //@Resource //@see EJBTHREE-1633
+   @Resource //@see EJBTHREE-1633
    public void setMessageDrivenContext(MessageDrivenContext ctx) throws EJBException
    {
       this.ctx = ctx;