Index: thirdparty/pom.xml
===================================================================
--- thirdparty/pom.xml	(revision 113255)
+++ thirdparty/pom.xml	(working copy)
@@ -775,15 +775,16 @@
               </mapping>
             </dependency>
             <dependency>
-              <groupId>org.jboss.javaee</groupId>
-              <artifactId>jboss-javaee</artifactId>
+              <groupId>org.jboss.spec.</groupId>
+              <artifactId>jboss-javaee-5.0-all</artifactId>
               <mapping>
                 <componentId>jboss.jboss-javaee</componentId>
+                <artifactId>jboss-javaee</artifactId>
               </mapping>
             </dependency>
             <dependency>
               <groupId>org.jboss.javaee</groupId>
-              <artifactId>jboss-jaspi-api</artifactId>
+              <artifactId>jboss-jaspi-api-1.0_spec</artifactId>
               <mapping>
                 <componentId>jboss.jboss-jaspi-api</componentId>
               </mapping>
@@ -1644,12 +1645,13 @@
     </dependency>
     
     <dependency>
-      <groupId>org.jboss.javaee</groupId>
-      <artifactId>jboss-javaee</artifactId>
+      <groupId>org.jboss.spec.</groupId>
+      <artifactId>jboss-javaee-5.0-all</artifactId>
     </dependency>
+
     <dependency>
       <groupId>org.jboss.javaee</groupId>
-      <artifactId>jboss-ejb-api</artifactId>
+      <artifactId>jboss-ejb-api-3.0_spec</artifactId>
     </dependency>
     <dependency>
       <groupId>org.jboss.javaee</groupId>
@@ -1657,23 +1659,23 @@
     </dependency>
     <dependency>
       <groupId>org.jboss.javaee</groupId>
-      <artifactId>jboss-jad-api</artifactId>
+      <artifactId>jboss-jad-api-1.2_spec</artifactId>
     </dependency>
     <dependency>
       <groupId>org.jboss.javaee</groupId>
-      <artifactId>jboss-jaspi-api</artifactId>
+      <artifactId>jboss-jaspi-api-1.0_spec</artifactId>
     </dependency>
     <dependency>
       <groupId>org.jboss.javaee</groupId>
-      <artifactId>jboss-jca-api</artifactId>
+      <artifactId>jboss-jca-api-1.5_spec</artifactId>
     </dependency>
     <dependency>
       <groupId>org.jboss.javaee</groupId>
-      <artifactId>jboss-jms-api</artifactId>
+      <artifactId>jboss-jms-api-1.1_spec</artifactId>
     </dependency>
     <dependency>
       <groupId>org.jboss.javaee</groupId>
-      <artifactId>jboss-transaction-api</artifactId>
+      <artifactId>jboss-transaction-api-1.0.1_spec</artifactId>
     </dependency>
     <dependency>
       <groupId>org.jboss.jopr</groupId>
Index: component-matrix/pom.xml
===================================================================
--- component-matrix/pom.xml	(revision 113255)
+++ component-matrix/pom.xml	(working copy)
@@ -74,6 +74,9 @@
     <version.org.jboss.deployers>2.0.10.GA</version.org.jboss.deployers>
     <version.org.jboss.ejb3.bom>1.0.3</version.org.jboss.ejb3.bom>
     <version.org.jboss.integration>5.1.0.SP1</version.org.jboss.integration>
+    <version.org.jboss.javaee.all>1.0.0-SNAPSHOT</version.org.jboss.javaee.all>
+    <version.org.jboss.javaee.component>5.0.2-SNAPSHOT</version.org.jboss.javaee.component>
+    <version.org.jboss.javaee.jacc>1.1.0.GA_SP1</version.org.jboss.javaee.jacc>
     <version.org.jboss.jbossxb>2.0.1.GA</version.org.jboss.jbossxb>
     <version.org.jboss.jopr>1.3.4.SP5</version.org.jboss.jopr>    
     <version.org.jboss.jpa>1.0.0.SP1</version.org.jboss.jpa>
@@ -99,7 +102,6 @@
     <version.seam.integration>5.1.0.GA</version.seam.integration>
     <version.staxex>1.2</version.staxex>
     <version.streambuffer>0.8</version.streambuffer>
-    <version.suffix.org.jboss.javaee>.GA</version.suffix.org.jboss.javaee>
     <version.sun-jaxws>2.1.7</version.sun-jaxws>
     <version.sun.jaxb>2.1.12-patch-02</version.sun.jaxb>
     <version.sun.jaxb.api>2.1</version.sun.jaxb.api>
@@ -1880,15 +1882,15 @@
       </dependency>
 
       <dependency>
-        <groupId>org.jboss.javaee</groupId>
-        <artifactId>jboss-javaee</artifactId>
-        <version>5.0.1${version.suffix.org.jboss.javaee}</version>
+        <groupId>org.jboss.spec.</groupId>
+        <artifactId>jboss-javaee-5.0-all</artifactId>
+        <version>${version.org.jboss.javaee.all}</version>
       </dependency>
-      
+
       <dependency>
         <groupId>org.jboss.javaee</groupId>
-        <artifactId>jboss-ejb-api</artifactId>
-        <version>3.0.0${version.suffix.org.jboss.javaee}</version>
+        <artifactId>jboss-ejb-api-3.0_spec</artifactId>
+        <version>${version.org.jboss.javaee.component}</version>
         <exclusions>
           <exclusion>
             <groupId>javax.xml</groupId>
@@ -1900,39 +1902,39 @@
       <dependency>
         <groupId>org.jboss.javaee</groupId>
         <artifactId>jboss-jacc-api</artifactId>
-        <version>1.1.0${version.suffix.org.jboss.javaee}_SP1</version>
+        <version>${version.org.jboss.javaee.jacc}</version>
       </dependency>
       
       <dependency>
         <groupId>org.jboss.javaee</groupId>
-        <artifactId>jboss-jad-api</artifactId>
-        <version>1.2.0${version.suffix.org.jboss.javaee}</version>
+        <artifactId>jboss-jad-api-1.2_spec</artifactId>
+        <version>${version.org.jboss.javaee.component}</version>
       </dependency>
       
       <dependency>
         <groupId>org.jboss.javaee</groupId>
-        <artifactId>jboss-jaspi-api</artifactId>
-        <version>1.0.0${version.suffix.org.jboss.javaee}</version>
+        <artifactId>jboss-jaspi-api-1.0_spec</artifactId>
+        <version>${version.org.jboss.javaee.component}</version>
       </dependency>
       
       <dependency>
         <groupId>org.jboss.javaee</groupId>
-        <artifactId>jboss-jca-api</artifactId>
-        <version>1.5.0${version.suffix.org.jboss.javaee}</version>
+        <artifactId>jboss-jca-api-1.5_spec</artifactId>
+        <version>${version.org.jboss.javaee.component}</version>
       </dependency>
       
       <dependency>
         <groupId>org.jboss.javaee</groupId>
-        <artifactId>jboss-jms-api</artifactId>
-        <version>1.1.0${version.suffix.org.jboss.javaee}</version>
+        <artifactId>jboss-jms-api-1.1_spec</artifactId>
+        <version>${version.org.jboss.javaee.component}</version>
       </dependency>
 
       <dependency>
         <groupId>org.jboss.javaee</groupId>
-        <artifactId>jboss-transaction-api</artifactId>
-        <version>1.0.1${version.suffix.org.jboss.javaee}</version>
+        <artifactId>jboss-transaction-api-1.0.1_spec</artifactId>
+        <version>${version.org.jboss.javaee.component}</version>
       </dependency>
-      
+    
       <!-- Normally comes in via EJB3, but we may need a patched one -->
       <dependency>
         <groupId>org.jboss.jpa</groupId>
Index: testsuite/build.xml
===================================================================
--- testsuite/build.xml	(revision 113255)
+++ testsuite/build.xml	(working copy)
@@ -497,7 +497,6 @@
       <path refid="jboss.iiop.classpath"/>
       <path refid="jboss.internal-server.classpath"/>
       <path refid="jboss.j2se.classpath"/>
-      <path refid="jboss.jboss.jaspi.api.classpath"/>
       <path refid="jboss.jboss.javaee.classpath"/>
       <path refid="org.jboss.javaee.classpath"/>
       <path refid="jboss.jboss.vfs.classpath"/>
@@ -565,13 +564,6 @@
       <pathelement path="${jboss.dist.client}/jboss-jaspi-api.jar" />
       <!-- path refid="jboss.jboss.javaee.classpath"/ -->
       <pathelement path="${jboss.dist.client}/jboss-javaee.jar" />
-      <!-- path refid="org.jboss.javaee.classpath" / -->
-      <pathelement path="${org.jboss.javaee.lib}/jboss-ejb-api.jar" />
-      <pathelement path="${org.jboss.javaee.lib}/jboss-jacc-api.jar" />
-      <pathelement path="${org.jboss.javaee.lib}/jboss-jad-api.jar" />
-      <pathelement path="${org.jboss.javaee.lib}/jboss-jca-api.jar" />
-      <pathelement path="${org.jboss.javaee.lib}/jboss-jms-api.jar" />
-      <pathelement path="${org.jboss.javaee.lib}/jboss-transaction-api.jar" />
       <!-- path refid="jboss.jboss.vfs.classpath"/ -->
       <pathelement path="${jboss.dist.lib}/jboss-vfs.jar" />
       <!-- path refid="jboss.jca.classpath"/ -->