### Eclipse Workspace Patch 1.0
#P org.jboss.tools.vpe
Index: plugin.xml
===================================================================
--- plugin.xml	(revision 42857)
+++ plugin.xml	(working copy)
@@ -33,13 +33,11 @@
             name="%PreferencePage_ElVariables">
       </page>
    	</extension>
-   	<extension
-       	point="org.eclipse.ui.contexts">
-    	<context
-          description="%vpe.editor.binding.context.description"
-          id="org.jboss.tools.vpe.editorContext"
-          name="%editor.binding.context.name"
-          parentId="org.eclipse.ui.textEditorScope">
+   	<extension point="org.eclipse.ui.contexts">
+    	<context  id="org.jboss.tools.vpe.editorContext"
+    		parentId="org.eclipse.ui.textEditorScope"
+    		name="%editor.binding.context.name" 
+    		description="%vpe.editor.binding.context.description">
     	</context>
     </extension>
     <extension id="org.jboss.tools.vpe.commands" point="org.eclipse.ui.commands">
@@ -123,10 +121,6 @@
 			schemeId="org.eclipse.ui.defaultAcceleratorConfiguration"
 			contextId="org.jboss.tools.vpe.editorContext"
 			sequence="M1+R"/>
-		<key commandId="org.jboss.tools.vpe.commands.refreshCommand"
-			schemeId="org.eclipse.ui.defaultAcceleratorConfiguration"
-			contextId="org.jboss.tools.vpe.editorContext"
-			sequence="F5"/>
 	</extension>
   <extension
         point="org.jboss.tools.jst.jsp.visulaEditorImplementations"  id="org.jboss.tools.vpe.editor.VpeEditorPartFactory">
@@ -147,6 +141,15 @@
                 	</with>
 			</and>
 			</definition>
+			<definition id="org.jboss.tools.ui.vpe.editor.inView">
+         		<with variable="activePartId">
+         		<or>
+            		<equals value="org.jboss.tools.jst.jsp.jspeditor.JSPTextEditor"/>
+					<equals value="org.jboss.tools.jst.jsp.jspeditor.HTMLTextEditor"/>
+					<equals value="org.jboss.tools.jst.jsp.jspeditor.DocBookEditor"/>
+					</or>
+         		</with>
+      		</definition>
 		</extension>
    <extension
         point="org.eclipse.ui.menus">
@@ -305,8 +308,25 @@
              commandId="org.jboss.tools.vpe.commands.preferencesCommand"/>
        <handler
              class="org.jboss.tools.vpe.handlers.RefreshHandler"
-             commandId="org.jboss.tools.vpe.commands.refreshCommand"/>
+             commandId="org.jboss.tools.vpe.commands.refreshCommand">
+             <activeWhen>
+            	<reference definitionId="org.jboss.tools.ui.vpe.editor.inView">
+            	</reference>
+         </activeWhen>
+         </handler>
+       <!-- 
+       Bind VPE refresh handler for eclipse's File Refresh (F5) command
+       When the focus is in VPE
+       -->
        <handler
+             class="org.jboss.tools.vpe.handlers.RefreshHandler" 
+             commandId="org.eclipse.ui.file.refresh">
+             <activeWhen>
+            	<reference definitionId="org.jboss.tools.ui.vpe.editor.inView">
+            	</reference>
+         </activeWhen>
+         </handler>
+       <handler
              class="org.jboss.tools.vpe.handlers.PageDesignOptionsHandler"
              commandId="org.jboss.tools.vpe.commands.pageDesignOptionsCommand"/>
        <handler
Index: src/org/jboss/tools/vpe/editor/util/VisualDomUtil.java
===================================================================
--- src/org/jboss/tools/vpe/editor/util/VisualDomUtil.java	(revision 42857)
+++ src/org/jboss/tools/vpe/editor/util/VisualDomUtil.java	(working copy)
@@ -52,8 +52,17 @@
     public static String A4J_URI = "http://richfaces.org/a4j"; //$NON-NLS-1$
     public static String FACELETS_URI = "http://java.sun.com/jsf/facelets"; //$NON-NLS-1$
     
+    /**
+     * Flag for correct JSF components
+     */
      public static String FACET_JSF_TAG = "FACET-JSF-TAG"; //$NON-NLS-1$
+     /**
+      * Flag for RF, FACELETS, A4J tags
+      */
      public static String FACET_ODD_TAGS = "FACET-ODD-TAGS"; //$NON-NLS-1$
+     /**
+      * Flag for plain HTML tags and text nodes
+      */
      public static String FACET_HTML_TAGS = "FACET-HTML-TAGS"; //$NON-NLS-1$
 
 	private static final String ACCESSIBILITY_SERVICE_CONTRACT_ID = "@mozilla.org/accessibilityService;1"; //$NON-NLS-1$